<template>
  <div class="home_content" :class="{ popup_content: state.popup }">
    <router-view></router-view>
  </div>
</template>

<script setup>
import { reactive, onMounted, provide, watch } from 'vue'
import { setStorage, getStorage } from '@/uilts/help'

let withdraw_info = reactive(getStorage('withdraw_info') || {})
watch(withdraw_info, (newVal) => {
  setStorage('withdraw_info',newVal)
})

provide('withdraw_info', withdraw_info)

let top_up_info = reactive(getStorage("top_up_info") || {});

watch(top_up_info, (newVal) => {
  setStorage("top_up_info", newVal);
});

provide("top_up_info", top_up_info);

let state = reactive({
  popup: true
})
onMounted(() => {
  if (window.location.href.indexOf('home.html') > 0) {
    state.popup = false
  }
})

</script>


<style>
.home_content {
  width: 100%;
  height: 100%;
}

.popup_content {
  width: 375px;
  height: 600px;
  box-sizing: border-box;
  overflow-y: auto;
}
</style>
